function Plot2Dfield2(BMesh,modeNum,field,neff,figureNum,alpha)

for i=1:modeNum
    xx=[BMesh.Nodes((BMesh.NewFaces(:,1)),1)';BMesh.Nodes((BMesh.NewFaces(:,2)),1)';...
        BMesh.Nodes((BMesh.NewFaces(:,3)),1)'];
    yy=[BMesh.Nodes((BMesh.NewFaces(:,1)),2)';BMesh.Nodes((BMesh.NewFaces(:,2)),2)';...
        BMesh.Nodes((BMesh.NewFaces(:,3)),2)'];
    zz=zeros(3,length(yy));

    figure(figureNum);
    h1=fill3(xx,yy,zz,field');
    set(h1,'edgecolor','black','edgealpha',alpha);
    shading interp %插值绘制
    % axis equal; axis tight;

    xlabel('X  单位：m');
    ylabel('Y  单位：m');
    titleStr=['第',num2str(figureNum),'个端口：','第',num2str(i),'个本征模式 normE neff=',num2str(neff(i))];
    title(titleStr);
    colorbar;
    colormap jet;
    caxis([min(field(:,i)) max(field(:,i))]);

end

end